---------------------------------------------------------------------------
--- VARS ------------------------------------------------------------------
---------------------------------------------------------------------------


---------------------------------------------------------------------------
--- FUNCTIONS -------------------------------------------------------------
---------------------------------------------------------------------------

-- Help for the main category page
function categoryBaseHelp (topic, helpURL)
    setPageTitle ("Game Categories")

    html:addText ([[
<H3>Categories</H3>       

This page lists all of the game categories that are currently registered with
the system, sorted alphabetically by name. For each category, the number of
games currently entered in the system which are in that category is listed,
and is a link to a view of all such games.<p>

Game categories are completely arbitrary, and provide a way for you to classify
the games in your database any way you like. There is no limit on the number of
categories that may exist, or the number of categories which can be assigned to
a single game. The very first category assigned to a game is the "primary"
category, and will be the category that is used in abbreviated game lists.<p>

If you have the proper
<a href="?topic=playerProperties">permissions</a>,
you may be able to edit
<a href="?topic=categoryProperties">category properties</a>,
delete categories, or add new categories to the system.<p>

When a category is deleted, all games which are in that category are
modified so that that category is no longer included in their entry. For games
in a single category, this will leave games with no category on record.<p>

When adding categories, a check is done to ensure that no category with this
name is already in the system. If so, nothing is done with that record.
    ]])
end

---------------------------------------------------------------------------

-- Help for the category properties page.
function categoryPropertiesHelp (topic, helpURL)
    setPageTitle ("Game Category Properties")

    html:addText ([[
<H3>Category Properties</H3>       

This page allows you to change the name of any category in the system. You
must specify a category name which doesn't already exist. <p>
You need to have the proper 
<a href="?topic=playerProperties">permissions</a>
to be able to edit the properties of a category.
    ]])
end

---------------------------------------------------------------------------

-- Help for the games by category page.
function gamesByCategoryHelp (topic, helpURL)
    setPageTitle ("View Games By Category")

    html:addText ([[
<H3>Games by Category</H3>       

This page displays all of the games that are in a particular category. This is
an abbreviated game list, so it is possible that the category listed may not be
the category that you are currently viewing. The category listed is the "primary"
category; that is, the category that the game was first added to.<p>
    ]])
end

---------------------------------------------------------------------------

