---------------------------------------------------------------------------
--- VARS ------------------------------------------------------------------
---------------------------------------------------------------------------


---------------------------------------------------------------------------
--- FUNCTIONS -------------------------------------------------------------
---------------------------------------------------------------------------

-- Help for the configuration editor
function configHelp (topic, helpURL)
    setPageTitle ("Configuration")

    html:addText ([[
<H3>GameDB Configuration</H3>       

This page allows you to modify how GameDB will operate. You need to have the correct
<a href="?topic=playerProperties">permissions</a>
to be able to modify the system configuration information.<p>

Currently all configuration options are global and affect all users of the system.<p>

The following options are available:
<UL>

<LI> <b>Login Timeout:</b> This specifies how long (in minutes) that you can remain logged into the
system without doing anything. Once this period of time expires without you interacting with 
the system, your session will be timed out and you will have to log in again.<p>

Generally, a small timeout value of 10-20 minutes is desirable if anyone will be using the system 
from some public location, such as an internet cafe.<p>

This value can be set higher if it is known that people are only accessing the system from a
"safe" location.<p>

This setting is a tradeoff between security (small values) and convenience (large values).<p>

<LI> <b>Login Page:</b> This controls what page will be initially displayed whenever someone
logs in. Any of the main pages except for the configuration page and activity log are
available here. This is to stop error messages for most users, who may not have the
<a href="?topic=playerProperties">permissions</a>
required to view these pages.<p>

</UL>
    ]])
end

---------------------------------------------------------------------------

