---------------------------------------------------------------------------
--- VARS ------------------------------------------------------------------
---------------------------------------------------------------------------


---------------------------------------------------------------------------
--- FUNCTIONS -------------------------------------------------------------
---------------------------------------------------------------------------

-- Help for the main designer page
function designerBaseHelp (topic, helpURL)
    setPageTitle ("Game Designers")

    html:addText ([[
<H3>Designers</H3>       

This page lists all of the game designers that are currently registered with
the system, sorted alphabetically by name. For each designer, the number of
games currently entered in the system which include that designer is listed,
and is a link to a view of all such games.<p>

Games in the system may include any number of designers, although the first
designer added to the game is considered the "primary" designer, and will be
the designer name used in abbreviated game lists. It is also possible for games
to have no designer, for example for games so old that the actual name of the
designer is unknown, or for games published by companies which don't directly
indicate the person or persons responsible.<p>

If you have the proper
<a href="?topic=playerProperties">permissions</a>,
you may be able to edit
<a href="?topic=designerProperties">designer properties</a>,
delete designers, or add new designers to the system.<p>

When a designer is deleted, all games which include that designer are
modified so that that designer is no longer included in their entry. For games
by a single designer, this may leave games with no designer on record.<p>

When adding designers, a check is done to ensure that no designer with this
name is already in the system. If so, nothing is done with that record.
    ]])
end

---------------------------------------------------------------------------

-- Help for the designer properties page.
function designerPropertiesHelp (topic, helpURL)
    setPageTitle ("Game Designer Properties")

    html:addText ([[
<H3>Designer Properties</H3>       

This page allows you to change the name of any designer in the system. You
must specify a designer name which doesn't already exist. <p>
You need to have the proper 
<a href="?topic=playerProperties">permissions</a>
to be able to edit the properties of a designer.
    ]])
end

---------------------------------------------------------------------------

-- Help for the games by designer page.
function gamesByDesignerHelp (topic, helpURL)
    setPageTitle ("View Games By Designer")

    html:addText ([[
<H3>Games by Designer</H3>       

This page displays all of the games for which a particular designer is listed
as one of the designers of the game. This is an abbreviated game list, so it is
possible that the designer listed may not be the designer that you are currently
viewing. The designer listed is the "primary" designer; that is, the designer that
was first added for each game.<p>
    ]])
end

---------------------------------------------------------------------------

