---------------------------------------------------------------------------
--- VARS ------------------------------------------------------------------
---------------------------------------------------------------------------


---------------------------------------------------------------------------
--- FUNCTIONS -------------------------------------------------------------
---------------------------------------------------------------------------

-- Generate a help index
function helpIndex (topic, helpURL)
    setPageTitle ("Overview")

    html:addText ([[
<H3>GameDB Overview</H3>

GameDB is a simple web based database solution for storing information about
games and the people who play them. Think of it as a sort of small scale
<a href="http://www.boardgamegeek.com" target="_new">boardgame geek</a>
which caters to you specifically.<P>

To begin with, you should <a href="?topic=playerAdd">add</a> yourself and all of the people that you normally
play games with to the system as <a href="?topic=player">players</a>. This is
GameDB's notion of users, and each person will be allowed to log into the system
and view the information contained. You should also take this time to edit each person's
<a href="?topic=playerProperties">permissions</a>, which control who is allowed to
add and alter information in the system.<p>

Next, you will want to <a href="?topic=gamesAdd">add your games</a>, and possibly the other
games owned by your gaming group, into the system. Along the way you will also be asked to
include the <a href="?topic=designerBase">designers</a> and <a href="?topic=publisherBase">publisers</a>
of the games. You can also add each game to any number of <a href="?topic=categoryBase">categories</a>.<p>

You're now ready to roll! You can use the <a href="?topic=toolsGameFinder">game finder</a> from
the <a href="?topic=toolsBase">tools section</a> to help you plan out your game nights, or just find 
games that you might like to play.<p>

Every time you play a game, <a href="?topic=sessionsAdd">add a session report</a> for it to the
system, indicating what date and time you played, how long the game took, who played and who
won.<p>

Now, when you <a href="?topic=playerView">view a player's profile</a>, you can find out
what games each person has played, and how many times they've won. Or, find out what the last
game each player has won or lost. You can even easily see their overall win percentage for
all games that they've played.<p>

GameDB has been designed to be as informative as possible, so on any page you view,
there is usually a way to get at other information that you might like to see. For example,
when you view games, you can easilly see sessions for that game, or even look up other games
designed by the same designers!
    ]])

end

---------------------------------------------------------------------------

