---------------------------------------------------------------------------
--- VARS ------------------------------------------------------------------
---------------------------------------------------------------------------


---------------------------------------------------------------------------
--- FUNCTIONS -------------------------------------------------------------
---------------------------------------------------------------------------

-- Help for the main publisher page
function publisherBaseHelp (topic, helpURL)
    setPageTitle ("Game Publishers")

    html:addText ([[
<H3>Publishers</H3>

This page lists all of the game publishers that are currently registered with
the system, sorted alphabetically by name. For each publisher, the number of
games currently entered in the system which include that publisher is listed,
and is a link to a view of all such games.<p>

Games in the system may include any number of publishers, although the first
publisher added to the game is considered the "primary" publisher, and will be
the designer name used in abbreviated game lists. It is also possible for games
to have no publisher, for example for games in the public domain such as cribbage
or hearts.<p>

If you have the proper
<a href="?topic=playerProperties">permissions</a>,
you may be able to edit
<a href="?topic=publisherProperties">publisher properties</a>,
delete publishers, or add new publishers to the system.<p>

When a publisher is deleted, all games which include that publisher are
modified so that that publisher is no longer included in their entry. For games
by a single publisher, this may leave games with no publisher on record.<p>

When adding publishers, a check is done to ensure that no publisher with this
name is already in the system. If so, nothing is done with that record.
    ]])
end

---------------------------------------------------------------------------

-- Help for the publisher properties page.
function publisherPropertiesHelp (topic, helpURL)
    setPageTitle ("Game Publisher Properties")

    html:addText ([[
<H3>Publisher Properties</H3>

This page allows you to change the name of any publisher in the system. You
must specify a publisher name which doesn't already exist. <p>
You need to have the proper 
<a href="?topic=playerProperties">permissions</a>
to be able to edit the properties of a publisher.
    ]])
end

---------------------------------------------------------------------------

-- Help for the games by publisher page.
function gamesByPublisherHelp (topic, helpURL)
    setPageTitle ("View Games By Publisher")

    html:addText ([[
<H3>Games by Publisher</H3>

This page displays all of the games for which a particular publisher is listed
as one of the publishers of the game. This is an abbreviated game list, so it is
possible that the publisher listed may not be the publisher that you are currently
viewing. The publisher listed is the "primary" publisher; that is, the publisher that
was first added for each game.<p>
    ]])
end

---------------------------------------------------------------------------

