---------------------------------------------------------------------------
--- VARS ------------------------------------------------------------------
---------------------------------------------------------------------------


---------------------------------------------------------------------------
--- FUNCTIONS -------------------------------------------------------------
---------------------------------------------------------------------------

-- Base tools help
function toolsBaseHelp (topic, helpURL)
    setPageTitle ("Tool List")

    html:addText ([[
<H3>GameDB Tools</H3>

This page lists all of the GameDB tools that are currently available. More 
specific help is available for each tool.<p>

Tools currently available are:
<UL>

<LI>
<a href=?topic=toolsGameFinder>Game Finder</a>:
&nbsp;
A tool that searches the database for games that match specific criteria,
such as the number of players, designer, play time, etc. This helps to find
all games of a particular type/genre, for planning game nights or selecting
games to play. This includes a randomizer that will randomly select a game
from all matching games.<p>

</UL>
    ]])
end

---------------------------------------------------------------------------

-- Help for the game finder tools
function toolsGameFinderHelp (topic, helpURL)
    setPageTitle ("Game Finder Tool")

    html:addText ([[
<H3>Game Finder</H3>       

The Game Finder is a tool for finding all games which fall into a certain
subset of games. By selecting some number of players, the desired play time,
some categories and designers, this will find all games playable in that time
by that number of players, designed by those designers and in those categories.<p>

The main purpose for this tool is to find games to play, either for planning a game
night, or when a group gets together and can't decide what they should play.<p>

Note that the game finder will only return complete games; that is, games which are
not flagged as expansions for other games.<p>

The complete list of specifiable options are:

<UL>

<LI> <b>Players:</b> How many people will be playing the game? Games returned by the finder
will only include games playable by this number of people.<p>

<LI> <b>Time:</b> How long should the game be? Games returned by the finder will only include
games which can be played in this period of time. (This uses the play time as recorded
in the game entry, not the calculated average play time from session reports).<p>

<LI> <b>Categorized as:</b> What categories of games should be returned? Any number of categories
can be selected in either box. Games returned by the finder will only include games that are
in the first list of categories and not in the second list. For example, "Card" but not "Board"
will return all card games except for ones also classified as board games (for example, Ticket to Ride).<p>

<LI> <b>Designed by:</b> What game designers should be returned? This works the same as categories; Only games
listed as being designed by the specified designers but not the second list of designers will be returned.<p>

<LI> <b>Random pick:</b> Normally the game finder returns a complete list of games that match your provided
criteria. When this box is checked, instead of displaying the complete list, one will be randomly selected
from the results and displayed.<p>

<LI> <b>Don't repick:</b> This option only has an effect when Random pick is selected. This checks the session reports
listed for games and removes the last N (where N is the number of games selected in the dropdown box) from the list
of potential returns. This makes sure that the randomizer doesn't select the same games multiple times in a row.<p>

Note that when this is in use, it is possible for the game finder to say that no games match when really there
are games that match, but because of the setting of this, there are no games left to pick from. In this case, you
have to turn down this setting, or turn it off entirely.<p>

</UL>
    ]])
end


---------------------------------------------------------------------------

